Get effective spending limits
curl --request GET \
--url https://api.getsly.ai/v1/v1/agents/{id}/limits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getsly.ai/v1/v1/agents/{id}/limits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getsly.ai/v1/v1/agents/{id}/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"kya_tier": 123,
"agent_limits": {
"per_tx": "<string>",
"daily": "<string>",
"monthly": "<string>"
},
"account_limits": {
"per_tx": "<string>",
"daily": "<string>",
"monthly": "<string>"
},
"effective_limits": {
"per_tx": "<string>",
"daily": "<string>",
"monthly": "<string>"
},
"used_today": "<string>",
"used_this_month": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>",
"request_id": "<string>"
}Agents
Get effective spending limits
Returns agent’s KYA tier caps, the parent account’s KYC tier caps, and the effective (minimum-of-both) limits. Plus spend-to-date against each.
GET
/
v1
/
agents
/
{id}
/
limits
Get effective spending limits
Authorizations
API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
Path Parameters
⌘I